%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}

Summary:        Perl interface to the UNIX syslog(3) calls
Name:           perl-Unix-Syslog
Version:        0.100
Release:        5

License:        Artistic
Group:          System Environment/Libraries
URL:            http://search.cpan.org/dist/Unix-Syslog/
Source0: http://www.cpan.org/authors/id/M/MH/MHARNISCH/Unix-Syslog-0.100.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides an interface to the system logger syslogd(8) via
Perl's XSUBs. The implementation attempts to resemble the native
libc-functions of your system, so that anyone being familiar with
syslog.h should be able to use this module right away.


%prep
%setup -q -n Unix-Syslog-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags} OPTIMIZE="$RPM_OPT_FLAGS"


%install
rm -rf $RPM_BUILD_ROOT
make install \
  PERL_INSTALL_ROOT=$RPM_BUILD_ROOT \
  INSTALLARCHLIB=$RPM_BUILD_ROOT%{perl_archlib}
find $RPM_BUILD_ROOT -type f -a \( -name perllocal.pod -o -name .packlist \
  -o \( -name '*.bs' -a -empty \) \) -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check || :
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README Artistic
%{perl_vendorarch}/auto/Unix
%{perl_vendorarch}/Unix
%{_mandir}/man3/Unix::Syslog.3pm*


%changelog
* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Mon Apr 26 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.100-0.fdr.4
- Bring up to date with current fedora.us perl spec template.
- Require perl(:MODULE_COMPAT_*).

* Thu Oct  2 2003 Michael Schwendt <rh0212ms[AT]arcor.de> 0:0.100-0.fdr.3
- Vendor install
- Removing some files instead of excluding them
- Own two additionnal directories to work around perl package bug

* Fri Jul 11 2003 Dams <anvil[AT]livna.org> 0:0.100-0.fdr.2
- Excluding empty Syslog.bs file
- Chmoding Syslog.so in install section to allow it to be stripped
- Changed Group tag value
- Added missing unowned directories

* Sun Jun 15 2003 Dams <anvil[AT]livna.org>
- Initial build.
